test: _MMINPAGE_SUPPORT struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _MMINPAGE_SUPPORT Struct Reference

`#include <mi.h>`

List of all members.

## Public Attributes

KEVENT | Event
IO_STATUS_BLOCK | IoStatus
LARGE_INTEGER | ReadOffset
ULONG | WaitCount
union {
PETHREAD Thread
PMMFLUSH_BLOCK Flush
} | u
PFILE_OBJECT | FilePointer
PMMPTE | BasePte
PMMPFN | Pfn
LOGICAL | Completed
MDL | Mdl
PFN_NUMBER | Page [MM_MAXIMUM_READ_CLUSTER_SIZE+1]
LIST_ENTRY | ListEntry

## Member Data Documentation

PMMPTE _MMINPAGE_SUPPORT::BasePte

| Definition at line 2250 of file mi.h. Referenced by MiDispatchFault().

LOGICAL _MMINPAGE_SUPPORT::Completed

| Definition at line 2252 of file mi.h. Referenced by MiGetInPageSupportBlock().

KEVENT _MMINPAGE_SUPPORT::Event

| Definition at line 2238 of file mi.h. Referenced by MiDispatchFault(), and MiGetInPageSupportBlock().

PFILE_OBJECT _MMINPAGE_SUPPORT::FilePointer

| Definition at line 2249 of file mi.h. Referenced by MiDispatchFault(), and MiResolvePageFileFault().

PMMFLUSH_BLOCK _MMINPAGE_SUPPORT::Flush

| Definition at line 2247 of file mi.h.

IO_STATUS_BLOCK _MMINPAGE_SUPPORT::IoStatus

| Definition at line 2239 of file mi.h. Referenced by MiDispatchFault().

LIST_ENTRY _MMINPAGE_SUPPORT::ListEntry

| Definition at line 2255 of file mi.h. Referenced by MiFlushInPageSupportBlock(), and MiGetInPageSupportBlock().

MDL _MMINPAGE_SUPPORT::Mdl

| Definition at line 2253 of file mi.h. Referenced by MiDispatchFault(), MiFlushInPageSupportBlock(), and MiGetInPageSupportBlock().

PFN_NUMBER _MMINPAGE_SUPPORT::Page[MM_MAXIMUM_READ_CLUSTER_SIZE+1]

| Definition at line 2254 of file mi.h. Referenced by MiDispatchFault().

PMMPFN _MMINPAGE_SUPPORT::Pfn

| Definition at line 2251 of file mi.h. Referenced by MiDispatchFault().

LARGE_INTEGER _MMINPAGE_SUPPORT::ReadOffset

| Definition at line 2240 of file mi.h. Referenced by MiDispatchFault().

PETHREAD _MMINPAGE_SUPPORT::Thread

| Definition at line 2246 of file mi.h.

union { ... } _MMINPAGE_SUPPORT::u

| Referenced by MiGetInPageSupportBlock(), and MiResolveTransitionFault().

ULONG _MMINPAGE_SUPPORT::WaitCount

| Definition at line 2241 of file mi.h. Referenced by MiGetInPageSupportBlock(), and MiResolveTransitionFault().

The documentation for this struct was generated from the following file:

- mi.h